'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.report = undefined;

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _actions = require('../../actions');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var reportComponents = function reportComponents(components) {
  return Object.keys(components).map(function (component) {
    return _chalk2.default.cyan(`\t${component} => ${components[component]}`);
  }).join('\n');
};
var reportTitle = function reportTitle(components) {
  return _chalk2.default.underline(`Bound ${_chalk2.default.bold(Object.keys(components).length)} components\n`);
};
var report = exports.report = function report(components) {
  return reportTitle(components) + reportComponents(components);
};

var bindCommand = {
  name: 'bind',
  description: 'create the bit module inside of node_modules and generate relevant links',
  action: function action() {
    return (0, _actions.bindAction)({});
  },
  report,
  loaderText: 'Binding node_modules/bit directory structure to bit.json',
  loader: true
};

exports.default = bindCommand;
//# sourceMappingURL=bind-cmd.js.map